diff -Naur b/drivers/usb/serial/qcserial.c c/drivers/usb/serial/qcserial.c
--- b/drivers/usb/serial/qcserial.c	2019-10-28 18:46:33.800907863 +0000
+++ c/drivers/usb/serial/qcserial.c	2020-01-07 23:06:58.292639943 +0000
@@ -163,6 +163,7 @@
 	{DEVICE_SWI(0x1199, 0x907b)},	/* Sierra Wireless EM74xx */
 	{DEVICE_SWI(0x1199, 0x9090)},	/* Sierra Wireless EM7565 QDL */
 	{DEVICE_SWI(0x1199, 0x9091)},	/* Sierra Wireless EM7565 */
+	{DEVICE_SWI(0x1199, 0x68c0)},	/* Sierra Wireless WP760x */
 	{DEVICE_SWI(0x413c, 0x81a2)},	/* Dell Wireless 5806 Gobi(TM) 4G LTE Mobile Broadband Card */
 	{DEVICE_SWI(0x413c, 0x81a3)},	/* Dell Wireless 5570 HSPA+ (42Mbps) Mobile Broadband Card */
 	{DEVICE_SWI(0x413c, 0x81a4)},	/* Dell Wireless 5570e HSPA+ (42Mbps) Mobile Broadband Card */
